sqlite_has_prev
sqlite_last_error
SQLite Functions
PHP Manual

# sqlite_key

# SQLiteResult->key

(PHP 5 >= 5.1.0)

sqlite_key -- SQLiteResult->key — Returns the current row index

### Description

int sqlite_key ( resource `$result` )

Object oriented style (method):

SQLiteResult
int key ( void )

sqlite_key() returns the current row index of the buffered result set `result` .

### Parameters

`result`

  The SQLite result resource. This parameter is not required when using the object-oriented method.

  > Note: This function cannot be used with unbuffered result handles.

### Return Values

Returns the current row index of the buffered result set `result` .

### ChangeLog

Version | Description
--- | ---
5.0.4 | Prior to PHP 5.0.4, sqlite_key() was only able to be called as a method on a SQLiteResult object, not procedurally.

### See Also

- sqlite_next()
- sqlite_current()
- sqlite_rewind()

sqlite_has_prev
sqlite_last_error
SQLite Functions
PHP Manual